summaryrefslogtreecommitdiffstats
path: root/jjb/trex/include-raw-trex-build.sh
diff options
context:
space:
mode:
authorYaroslav Brustinov <ybrustin@cisco.com>2016-09-01 01:16:22 +0300
committerYaroslav Brustinov <ybrustin@cisco.com>2016-09-01 01:22:18 +0300
commit4eac3f7694de7c3b15bf83eaf365c78df721845b (patch)
tree51dd9b524a9ded1fe85da00280d1a4ecda54791f /jjb/trex/include-raw-trex-build.sh
parent86dd7f8a814e925eaf9b37a7f3724dbac2512d0f (diff)
TRex: add playground jobs to check build of TRex/docs
Change-Id: I606f0dadbbce8b69182adeb5af1b4af08147ed94 Signed-off-by: Yaroslav Brustinov <ybrustin@cisco.com>
Diffstat (limited to 'jjb/trex/include-raw-trex-build.sh')
-rw-r--r--jjb/trex/include-raw-trex-build.sh53
1 files changed, 53 insertions, 0 deletions
diff --git a/jjb/trex/include-raw-trex-build.sh b/jjb/trex/include-raw-trex-build.sh
new file mode 100644
index 000000000..24049ac0b
--- /dev/null
+++ b/jjb/trex/include-raw-trex-build.sh
@@ -0,0 +1,53 @@
+#!/bin/bash -ex
+
+# emulate unique name for now
+GERRIT_NEWREV=hash`date +%s%N`
+WS=${PWD}/$GERRIT_NEWREV
+
+# temporary don't fail
+set +e
+
+function clean_ws {
+ rm -rf "$WS"
+}
+trap clean_ws EXIT
+
+echo "$WS"
+clean_ws
+mkdir "$WS"
+cd "$WS"
+
+# cloning
+
+git clone https://github.com/cisco-system-traffic-generator/trex-core.git
+git clone https://github.com/cisco-system-traffic-generator/trex-doc.git
+ls -l
+
+# building core
+
+cd trex-core/linux_dpdk
+./b configure
+./b build
+cd -
+
+cd trex-core/linux
+./b configure
+./b build
+cd -
+
+which asciidoc
+which sphinx-build
+which dblatex
+which python
+which python3
+which pip
+
+# building docs
+
+cd trex-doc
+./b configure
+./b build
+cd -
+
+echo Done
+